Bug 171002 - CVE-2005-3109 HFS oops
CVE-2005-3109 HFS oops
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
impact=moderate,public=20050501,sourc...
: Security
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-17 06:07 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 03:34:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.04 KB, patch)
2005-11-08 14:41 EST, Peter Staubach
no flags Details | Diff
Proposed patch (2.89 KB, patch)
2005-11-08 15:54 EST, Peter Staubach
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-17 06:07:39 EDT
The CVE description of this issue is "The HFS and HFS+ (hfsplus) modules in
Linux 2.6 allows attackers to cause a denial of service (oops) by using hfsplus
to mount a filesystem that is not hfsplus."  

However this is actually two issues as can be seen from the commit:
http://www.kernel.org/git/gitweb.cgi?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=945b092011c6af71a0107be96e119c8c08776f3f

The first is that in certain error cases for hfs and hfsplus there is a failure
to free kernel structure.   The second is a hfsplus flaw that could lead to a crash.
Comment 3 Peter Staubach 2005-11-08 14:41:20 EST
Created attachment 120823 [details]
Proposed patch
Comment 4 Peter Staubach 2005-11-08 15:54:39 EST
Created attachment 120827 [details]
Proposed patch
Comment 5 Peter Staubach 2005-11-08 15:56:14 EST
There turns out be a memory leak in the hfsplus failure path as well, so I
fixed that too.

The changes for all of these fixes mimic those from upstream.
Comment 6 Linda Wang 2005-11-21 17:57:50 EST
commited in -22.23
Comment 9 Red Hat Bugzilla 2006-01-17 03:34:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html

Note You need to log in before you can comment on or make changes to this bug.